SRGRIND(1)

NAME
srgrind - format SR program for troff

SYNOPSIS
srgrind [-f] [-n] [-w] [-x] [-d defs] [-h header] [-s size] [file ...]

DESCRIPTION

Srgrind formats an SR program for typesetting by troff(1). Srgrind actually works by executing vgrind(1) with an appropriate set of files and parameters.

Input is read from the named files, or from standard input if none are given. The troff directives are written to standard output.

Srgrind accepts the following options:

-d defs
    Use an alternate vgrindefs(5) file instead of the default one inside srgrind.

-f  Run in filter mode. In this mode, srgrind passes most input untouched, processing only those lines delimited by .vS and .vE macro calls.

-h header
    Place a header at the top of the page.

-n  Don't embolden keywords.

-s size
    Set the pointsize for typesetting.

-w  Consider tabs to be spaced every four columns instead of every eight (works only if supported by vgrind).

-x  Pass -x to vgrind for index processing.

SEE ALSO

sr(1), troff(1), vgrind(1), vgrindefs(5), srtex(1)

CAVEATS

Srgrind is limited by the capabilities of vgrind. For example, comments of the form /*...*/ do not nest.

Vgrind macros can conflict with others when using filter mode.

Srgrind doesn't function on systems lacking vgrind.